Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Private Attributes | List of all members
eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory Class Reference
Inheritance diagram for eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory:

## Public Member Functions
| __construct ( $signalDispatcherClass, $searchEngineAlias)
| SignalDispatcherFactory constructor. More...
| getSearchEngineAlias ()
| Get current search engine alias. More...
| addSlotsForSearchEngine ($searchEngineAlias, array $searchEngineSignalSlots)
| Bulk add all signal slots if needed for a search engine. More...
| buildSignalDispatcher ()
| Build SignalDispatcher for SignalSlots. More...

## Public Attributes
const | RELATIVE_SIGNAL_NAMESPACE = 'eZ\\Publish\\Core\\SignalSlot\\Signal'
| Relative namespace for internal signals. More...

## Private Attributes
| $signalDispatcherClass
| $signalSlotMap = []
| $searchEngineAlias

## Detailed Description

Definition at line 9 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory::__construct | ( |  | $signalDispatcherClass,
|  |  | $searchEngineAlias
| ) |  |

SignalDispatcherFactory constructor.

Parameters

  string | $signalDispatcherClass |
  | $searchEngineAlias |

Definition at line 31 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

References eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\$searchEngineAlias, and eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\$signalDispatcherClass.

## Member Function Documentation

## ◆ addSlotsForSearchEngine()

eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory::addSlotsForSearchEngine | ( |  | $searchEngineAlias,
|  | array | $searchEngineSignalSlots
| ) |  |

Bulk add all signal slots if needed for a search engine.

Parameters

  string | $searchEngineAlias |
  array | $searchEngineSignalSlots | [signal => array(slot1, slot2, ...)]

Definition at line 55 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

References eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\$searchEngineAlias, and eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\getSearchEngineAlias().

## ◆ buildSignalDispatcher()

eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory::buildSignalDispatcher | ( |  | ) |

Build SignalDispatcher for SignalSlots.

Returns
  \eZ\Publish\Core\SignalSlot\SignalDispatcher

Definition at line 76 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

## ◆ getSearchEngineAlias()

eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory::getSearchEngineAlias | ( |  | ) |

Get current search engine alias.

Returns
  string

Reimplemented in eZ\Bundle\EzPublishCoreBundle\ApiLoader\SignalSlot\SignalDispatcherFactory.

Definition at line 44 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

References eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\$searchEngineAlias.

Referenced by eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\addSlotsForSearchEngine().

## Member Data Documentation

## ◆ $searchEngineAlias

eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory::$searchEngineAlias
| private

Definition at line 23 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

Referenced by eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\__construct(), eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\addSlotsForSearchEngine(), and eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\getSearchEngineAlias().

## ◆ $signalDispatcherClass

eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory::$signalDispatcherClass
| private

Definition at line 17 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\SignalSlot\SignalDispatcherFactory\__construct(), and eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory\__construct().

## ◆ $signalSlotMap

eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory::$signalSlotMap = []
| private

Definition at line 20 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

## ◆ RELATIVE_SIGNAL_NAMESPACE

const eZ\Publish\Core\Base\Container\ApiLoader\SignalSlot\SignalDispatcherFactory::RELATIVE_SIGNAL_NAMESPACE = 'eZ\\Publish\\Core\\SignalSlot\\Signal'

Relative namespace for internal signals.

Definition at line 14 of file Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php.

The documentation for this class was generated from the following file:

- Publish/Core/Base/Container/ApiLoader/SignalSlot/SignalDispatcherFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.